Kerbal Space Program - Bug #21878

Antennae Cannot Deploy When Stowed - Service Module Edition
04/12/2019 06:12 PM - klesh

Status: Resolved Start date: 04/12/2019
Severity: Low % Done: 100%
Assignee: Robert.Keech

Category: Parts

Target version: 1.11.0

Version: 1.7.0 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Making History

Description

Description: Antennae wont work if you put them in any of Making History's service modules, and remove the module's shrouds in
the VAB/SPH.
Expected: Antennae should work when there are no shrouds covering them.

Reproduction:

1) In SPH/VAB put any of the 3 service modules on your craft of choice.

2) Use the PAW button labeled "Shroud" and set it to "off", removing the shroud from the part.

3) Take any deployable antenna and place it inside the Service Module's cargo area.

4) Launch craft.

5) Observe the warning "[Antenna]: Cannot deploy while stowed." as you try to extend any of the antennae on the craft.

History

#2 - 11/11/2019 04:54 PM - Robert.Keech
- Status changed from New to Confirmed
- Assignee set to Robert.Keech

- % Done changed from 0 to 10

#3 - 07/01/2020 11:26 PM - klesh

| see that the readme for 1.10 says "Fix 'Cannot deploy while stowed.' bug for service bays" which | will presume is this issue. I've just tested it in 1.10
however and | see no change.
Still cannot deploy antennae or solar panels etc, same as described in the initial report.

#4 - 07/02/2020 01:14 AM - Edition89

klesh wrote:

| see that the readme for 1.10 says "Fix 'Cannot deploy while stowed.' bug for service bays" which | will presume is this issue. I've just tested it in
1.10 however and | see no change.
Still cannot deploy antennae or solar panels etc, same as described in the initial report.

| tested this immediately after the update and not only does it not allow deployables without the shielding enabled it also doesn't work if the shielding
is deployed via the action groups. The only work around for this is to either use an add-on (this is ridiculous) or you have to include the shielding in
staging. The staging method isn't really a set back if you're using stock and no action groups (again ridiculous), but if you want some sort of
automation you cannot use Service Modules. I've also noticed that if you don't include shielding then objects won't work that are mounted to the
exterior like RCS thrusters.

#5 - 07/07/2020 01:52 PM - Robert.Keech
- Status changed from Confirmed to Being Worked On
- % Done changed from 10 to 30

#6 - 07/07/2020 01:52 PM - Robert.Keech
- Status changed from Being Worked On to Ready to Test
- Target version set to 1.10.0

- % Done changed from 30 to 80
This has been fixed in the latest version, please retest and change the status accordingly

#7 - 07/07/2020 02:28 PM - klesh
- Status changed from Ready to Test to Not Fixed
- % Done changed from 80 to 50

Hi, no it hasn't. See my post above from 6 days ago, the day 1.10 was released stating same.

#9 - 12/17/2020 08:58 PM - victorr

- Status changed from Not Fixed to Ready to Test
- Target version changed from 1.10.0 to 1.11.0

- % Done changed from 50 to 80

We've made some changes to the game in this latest version and would like to have some feedback on this issue. Thanks.

#10 - 12/17/2020 11:11 PM - klesh
- Status changed from Ready to Test to Not Fixed
- % Done changed from 80 to 50

victorr wrote:

We've made some changes to the game in this latest version and would like to have some feedback on this issue. Thanks.

I've just tested more thoroughly using all combos of antennae and Service Module. Issue is still not fixed, except for some very specific antennae in
specific service modules. Perhaps the solution can be found in the coding of these successful combinations below.

Reproduction:

1) Place all 3 service modules in a stack, a remote guidance units and sufficient power (same as initial test)

2) Remove shrouds of Service modules via PAW in VAB.

3) Place EACH of the following deployable antennae on the inside of EACH exposed service modules: HG-55, HG-5, DTS-M1, Communotron 88-88,
Communotron-16.

4) Run the test as before, launching the ship and deploying each antennae.

Results:
The ONLY situations where the antenna WAS ABLE to perform a deployment:

e HG-55, HG-5 inside the SM-6A
e HG-5 inside SM-8

All other deployment attempts were met with "[Antenna] Cannot deploy while stowed." warning as originally reported.

#11 - 01/28/2021 08:50 PM - klesh

Fixed for me in 1.11.1! | don't have any pulldown options to choose from, but the reported fix from the patch notes is confirmed.

#12 - 03/23/2021 05:02 PM - victorr
- Status changed from Not Fixed to Resolved

- % Done changed from 50 to 100
